JNA API 3.3.0

## com.sun.jna.platform.win32
Class NtDllUtil

    java.lang.Object
      com.sun.jna.platform.win32.NtDllUtil

    public abstract class NtDllUtil

extends Object

NtDll Utility API.

Author:
  dblock[at]dblock.org

Constructor Summary
`NtDllUtil()`

Method Summary
`static String` | `getKeyName(WinReg.HKEY hkey)` Retrieve the name of an opened registry key.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NtDllUtil

    public NtDllUtil()

Method Detail

### getKeyName

    public static String getKeyName(WinReg.HKEY hkey)

  Retrieve the name of an opened registry key.

  Parameters:
    `hkey` - Opened registry key.
  Returns:
    Basic key name, not including node information.

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.